summaryrefslogtreecommitdiff
path: root/tests/test-yylmax
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test-yylmax')
-rwxr-xr-xtests/test-yylmax14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/test-yylmax b/tests/test-yylmax
new file mode 100755
index 0000000..a89fea9
--- /dev/null
+++ b/tests/test-yylmax
@@ -0,0 +1,14 @@
+#! /bin/sh
+# Test %yylmax option of flex in any cpp-based back end
+
+trap 'rm /tmp/td$$' EXIT HUP INT QUIT TERM
+cat >/tmp/td$$ <<EOF
+%option yylmax=333
+%%
+%%
+EOF
+
+( ../src/flex -t /tmp/td$$ | grep "#define YYLMAX 333" >/dev/null ) || (echo "%yylmax test failed." >&2; exit 1)
+
+
+